export class SystemConfig {

  get systems(): SystemAttributes[] {
    return this.systemAttributes;
  }

  constructor(private systemAttributes: SystemAttributes[]) { }

}


/**
 * ฟิลด์ที่อยู่ในตาราง UM_SYSTEM
 */
export interface SystemAttributes {
  /** SYSTEM_ID	VARCHAR2(50 BYTE) */
  SYSTEM_ID: string;

  /** SYSTEM_NAME	VARCHAR2(255 BYTE) */
  SYSTEM_NAME: string;

  /** SYSTEM_DETAIL	VARCHAR2(1000 BYTE) */
  SYSTEM_DETAIL: string;

  /** SYSTEM_URL	VARCHAR2(20 BYTE) */
  SYSTEM_URL: string;

  /** ORDER_NO	NUMBER(38,0) */
  ORDER_NO: number;
}
